Subject: bug#74903: [PATCH] Add function to show table of keys when describing keymap variable

From: Robert Pluim <[email-masked]>
Date: Mon, 16 Dec 2024 18:28:58 +0100

>>>>> On Mon, 16 Dec 2024 17:57:14 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Mekeor Melire <[email-masked]>
    >> Date: Sun, 15 Dec 2024 23:14:15 +0000
    >> 
    >> It'd be nice if users could opt in to have C-h v some-map RET show a
    >> nice table of key bindings for that keymap.  I wrote a function that can
    >> be added to help-fns-describe-variable-functions so that this happens.
    >> 
    >> What do you think?
    >> 
    >> Alternatively, we can also add a key binding to help-mode so that users
    >> can easily "switch" from describe-variable to describe-keymap, e.g. per
    >> "K":
    >> 
    >> C-h v message-mode-map RET K

    Eli> We have "C-h b" and "C-h m" which show the bindings, albeit not by
    Eli> keymap.  Is that not enough for some reason?

"C-h b" shows all the bindings split out by major and minor mode
already. I guess we could add the name of the relevant keymap as well,
but the people who need to know the name of the keymap generally know
enough about Emacs to figure it out (eg via "C-h k").

    Eli> Adding yet another help command related to key bindings needs to be
    Eli> justified, since we already have at least two with overlapping
    Eli> functionalities.

    Eli> What do others think about this?

I really donʼt see the need for more functionality here.

Robert
--